Package pygccxml :: Package utils

# Package utils

source code

defines logger classes and few convinience methods, not related to the declarations tree

Submodules

- pygccxml.utils.fs_utils

Classes
loggers class-namespace, defines few loggers classes, used in the project
cached Convert a method into a cached attribute
enum Usage example: class fruits(enum): apple = 0 orange = 1

Functions

_create_logger_(name) implementation details | source code

remove_file_no_raise(file_name) removes file from disk, if exception is raised, it silently ignores it | source code

create_temp_file_name(suffix, prefix=None, dir=None) small convinience function that creates temporal file. | source code

normalize_path(some_path) return os.path.normpath( os.path.normcase( some_path ) ) | source code

get_architecture() returns computer architecture: 32 or 64. | source code

Function Details

### create_temp_file_name(suffix, prefix=None, dir=None)

source code

small convinience function that creates temporal file.

This function is a wrapper aroung Python built-in function - tempfile.mkstemp

### get_architecture()

source code

returns computer architecture: 32 or 64.

The guess is based on maxint.